import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    // url: '/system/email/huishouzhan/list',
    url: '/system/email/huishouzhan/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfo(mailGuid) {
  return request({
    url: '/system/email/huishouzhan/' + mailGuid,
    method: 'get'
  })
}

// /system/email/huishouzhan/listquery


// 查询【请填写功能名称】详细
export function qwe(query) {
  return request({
    url: '/system/email/huishouzhan/listquery',
    method: 'get',
    params: query
  })
}

// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/email/huishouzhan',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInfo(data) {
  return request({
    url: '/system/email/huishouzhan',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInfo(mailGuid,flg) {
  return request({
    url: '/system/email/huishouzhan/' + mailGuid + '/' + flg,
    method: 'delete'

  })
}

// 导出【请填写功能名称】
export function exportInfo(query) {
  return request({
    url: '/system/email/huishouzhan/export',
    method: 'get',
    params: query
  })
}

// 撤销【请填写功能名称】
// export function revokeInfo(mailGuid) {
//   return request({
//     url: '/system/email/huishouzhan/',
//     method: 'put',
//     data: data
//
//   })
// }

